
Foreman - Bug #4167

Password length verification doesn't work

01/23/2014 02:38 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Security   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In app/models/host/managed.rb:

validates :root_pass, :length => {:minimum => 8, :message => _('should be 8 characters or more')}

 The length verification doesn't actually work.  In host_common.rb, root_pass assignment is overridden so by the time it validates

root_pass, it's already a hash (and over 8 chars).

Related issues:

Related to Foreman - Feature #3725: Make default root password more explicit ... Closed 11/22/2013

Associated revisions

Revision c4bfd47f - 02/05/2014 05:24 PM - Stephen Benjamin

fixes #3725, #4167 - root password validations, remove default password

Revision 85df2532 - 03/12/2014 09:22 AM - Alissa Bonas

refs #4167 - Added inline info regarding root password length policy

History

#1 - 01/23/2014 02:40 PM - Stephen Benjamin

- Related to Feature #3725: Make default root password more explicit and configurable at install time added

#2 - 02/05/2014 05:24 PM - Dominic Cleal

- Category set to Security

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Target version set to 1.9.2

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1188

#3 - 02/05/2014 07:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c4bfd47fc2852bb78618bdad9fe5168e03a38bc1.
